#!/bin/bash
#To exit a tmux session, use Ctrl+B and then press D. 
#To enter a tmux session, use tmux at -t <session_name> where session_name is decryptor, verifier or phpext.
#List existing sessions by pressing tmux ls.
cd ~/source/Decryptor && tmux new-session -d -s decryptor './app'
cd ~/graphene && make SGX_RUN=1 || exit 1
cd ~/graphene/LibOS/shim/test/native && make SGX_RUN=1 && tmux new-session -d -s verifier './pal_loader SGX verifier' 
cd ~/graphene/LibOS/shim/test/apps/apache && make SGX_RUN=1 && tmux new-session -d -s phpext 'sudo make start-graphene-server' 
